/*
 * Class BILINEAR [REAL_64]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1709 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1709 [] = {0xFF01,1551,1708,863,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1709 [] = {0xFF01,1708,863,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1709 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1709 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1709 [] = {0xFF01,1708,863,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1709 [] = {0xFF01,1708,863,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1709 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1709 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1709 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1709 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1709 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1709 [] = {1708,863,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1709 [] = {0xFF01,1708,863,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1709 [] = {0xFF01,1691,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1709 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1709 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1709 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_1709[] = {
	{EIF_GENERIC(NULL), 8954, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1709), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1709), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1709), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1709), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1709), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1709), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1709), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1709), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1709), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1709), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1709), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1709), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1709), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1709), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8787, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8613, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8614, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8615, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8616, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8617, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1709), 8798, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1709), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8788, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8953, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8790, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1709), 8791, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8792, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1709), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8952, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8794, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8795, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8796, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8797, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8789, 0xFFFFFFFF},
};
void Init1709(void)
{
	IDSC(desc_1709, 0, 1708);
	IDSC(desc_1709 + 1, 1, 1708);
	IDSC(desc_1709 + 32, 1134, 1708);
	IDSC(desc_1709 + 41, 1444, 1708);
	IDSC(desc_1709 + 50, 1534, 1708);
	IDSC(desc_1709 + 57, 1245, 1708);
}


#ifdef __cplusplus
}
#endif
